# Record TCefWindowInfo

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefWindowInfo = record`

## Description

Structure representing window information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_win.h">CEF source file: /include/internal/cef_types_win.h (cef_window_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_mac.h">CEF source file: /include/internal/cef_types_mac.h (cef_window_info_t))

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_linux.h">CEF source file: /include/internal/cef_types_linux.h (cef_window_info_t))

## Overview

### Fields

| `size: NativeUInt;`
| `ex_style: DWORD;`
| `window_name: TCefString;`
| `style: DWORD;`
| `bounds: TCefRect;`
| `parent_window: TCefWindowHandle;`
| `menu: HMENU;`
| `windowless_rendering_enabled: Integer;`
| `shared_texture_enabled: Integer;`
| `external_begin_frame_enabled: Integer;`
| `window: TCefWindowHandle;`
| `runtime_style: TCefRuntimeStyle;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `ex_style: DWORD;`
Standard parameters required by CreateWindowEx()

| `window_name: TCefString;`
This item has no description.

| `style: DWORD;`
This item has no description.

| `bounds: TCefRect;`
This item has no description.

| `parent_window: TCefWindowHandle;`
This item has no description.

| `menu: HMENU;`
This item has no description.

| `windowless_rendering_enabled: Integer;`
Set to true (1) to create the browser using windowless (off-screen) rendering. No window will be created for the browser and all rendering will occur via the ICefRenderHandler interface. The |parent_window| value will be used to identify monitor info and to act as the parent window for dialogs, context menus, etc. If |parent_window| is not provided then the main screen monitor will be used and some functionality that requires a parent window may not function correctly. In order to create windowless browsers the TCefSettings.windowless_rendering_enabled value must be set to true. Transparent painting is enabled by default but can be disabled by setting TCefBrowserSettings.background_color to an opaque value.

| `shared_texture_enabled: Integer;`
Set to true (1) to enable shared textures for windowless rendering. Only valid if windowless_rendering_enabled above is also set to true. Currently only supported on Windows (D3D11).

| `external_begin_frame_enabled: Integer;`
Set to true (1) to enable the ability to issue BeginFrame requests from the client application by calling ICefBrowserHost.SendExternalBeginFrame.

| `window: TCefWindowHandle;`
Handle for the new browser window. Only used with windowed rendering.

| `runtime_style: TCefRuntimeStyle;`
Optionally change the runtime style. Alloy style will always be used if |windowless_rendering_enabled| is true. See TCefRuntimeStyle documentation for details.

Generated by PasDoc 0.16.0-snapshot.